osdf-virgo-frame-cpus:
  crondor:
    submit-description:
      universe: "local"
      getenv: "PATH"
      executable: "/home/james.clark/virtualenvs/igwn-pool-exorciser/bin/igwn-exorciser"
      arguments: "--parent-directory ./ --config-file /local/james.clark/pool-exorciser/config-osdf-virgo-cpu-local.yaml make-dags --submit-dags"
      cron_hour: "*/6"
      cron_minute: "0"
      cron_window: "300"
      on_exit_remove: "false"
      stream_output: "True"
      stream_error: "True"
      accounting_group_user: "james.clark"
      accounting_group: "cit.scheduled.local-test"
      request_disk: "1 MB"
      request_memory: "100 MB"
      notification: "error"
      notify_user: "james.clark@ligo.org"
      queue: "1"
  test:
    jobs:
      - job: "datafind"
        submit-description:
          universe: "vanilla"
          executable: "/cvmfs/software.igwn.org/conda/envs/igwn/bin/python"
          transfer_executable: "True"
          should_transfer_files: "YES"
          arguments: "-m gwdatafind --observatory $(observatory) --type $(frametype) -s $(gpsstart) -e $(gpsend) --server=datafind.igwn.org --url-type $(urltype) --output-file $(datafind_output)"
          transfer_output_files: "$(datafind_output)"
          when_to_transfer_output: "ON_SUCCESS"
          success_exit_code: "0"
          use_oauth_services: "$(token_str)"
          igwn_oauth_resource_datafind:  "https://datafind.igwn.org"
          igwn_oauth_permissions_datafind: "gwdatafind.read" 
          request_cpus: "1"
          request_memory: "100 MB"
          request_disk: "100 MB"
            #requirements: "IS_GLIDEIN"
            #MY.DESIRED_Sites: "$(GLIDEIN_Site)"
          environment: "XDG_CACHE_HOME=$$(CondorScratchDir)/.cache"
          MY.DESIRED_Sites: "nogrid"
          MY.flock_local: "True"
          stream_output: "True"
          stream_error: "True"
          accounting_group_user: "james.clark"
          accounting_group: "cit.scheduled.local-test"
          MY.PoolExorciser: "True"
          max_retries: "0"
          periodic_remove: "(time() - QDate) > (1 * 3600)"
      - job: "read-frames"
        submit-description:
          universe: "vanilla"
          executable: "/home/james.clark/Projects/igwn-pool-exorciser/apps/read_frames_osdf"
          arguments: "$(pfn_list)"
          should_transfer_files: "YES"
          transfer_executable: "True"
          transfer_input_files: "$(pfn_list)"
          use_oauth_services: "$(token_str)"
          igwn_oauth_resource_ligo:  "ANY"
          igwn_oauth_permissions_ligo: "read:/virgo" 
          request_cpus: "1"
          request_memory: "2 GB"
          request_disk: "6 GB"
          #requirements: "IS_GLIDEIN && HAS_CVMFS_software_igwn_org"
          stream_output: "True"
          stream_error: "True"
          accounting_group_user: "james.clark"
          accounting_group: "cit.scheduled.local-test"
          MY.PoolExorciser: "True"
          MY.flock_local: "True"
          MY.DESIRED_Sites: "nogrid"
          max_retries: "0"
          periodic_remove: "(time() - QDate) > (3 * 3600)"
      - job: "aggregate_hold_reaons"
        submit-description:
            universe: "local"
            executable: "/home/james.clark/Projects/igwn-pool-exorciser/apps/aggregate_hold_reasons"
            should_transfer_files: "YES"
            transfer_executable: "True"
            request_cpus: "1"
            request_memory: "1 GB"
            request_disk: "10 MB"
            stream_output: "True"
            stream_error: "True"
            accounting_group_user: "james.clark"
            accounting_group: "cit.scheduled.local-test"
            MY.flock_local: "True"
            MY.PoolExorciser: "True"
            MY.DESIRED_Sites: "nogrid"
            max_retries: "0"
            periodic_remove: "(time() - QDate) > (1 * 3600)"
    dag:
      plugin: "frame_access"
      mode: "cpu"
      #sites: "all"
      #njobs-per-site: 10
      sites: "any"
      njobs: 10
      token-str: "igwn"
      # datafind
      observatory: "V"
      frametype: "V1Online"
      gpsstart: "1368975618"
      gpsend: "2000000000"
      urltype: "osdf"
      datafind-output: "virgo-datafind-osdf.urls"
      num-urls: 3
      # readframes
      read-frames-input-pattern: "read-frames"
